Bug 443352 - Dual head selected, click OK nothing happens
Dual head selected, click OK nothing happens
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 21:30 EDT by Paul F. Almquist
Modified: 2009-12-10 08:53 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:37:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of xrandr -q --verbose (11.00 KB, text/plain)
2008-09-25 08:12 EDT, Per Thomas Jahr
no flags Details
xorg.conf (800 bytes, text/plain)
2008-09-25 08:12 EDT, Per Thomas Jahr
no flags Details

  None (edit)
Description Paul F. Almquist 2008-04-20 21:30:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/4.0; Linux) KHTML/4.0.3 (like Gecko) Fedora/4.0.3-6.fc9

Description of problem:
Start "Display Settings" from menu, turn on Use Dual Head, specify my 2nd
monitor (KDS Avitron AV-7T), Desktop Layout set to Spanning,  everything else
are default values.  Click OK,  nothing happens.  Repeated clicking OK, still
nothing.  Click  Cancel - process terminated.  No new xorg.conf file is
written.  This is total show stopper--I cannot work without my dual heads.

Version-Release number of selected component (if applicable):
system-config-display-1.0.51-9.fc9.noarch

How reproducible:
Always


Steps to Reproduce:
1.Repeat above steps
2.
3.

Actual Results:
I went to try out something other features of F9.

Expected Results:
New xorg.conf file should have been generated with dual head config and X
restarted to activate new configuration.

Additional info:
My video card is Matrox g450 - dual head works great on F7 and earlier.  I
always configured it manually as there was no other way.

from dmesg | grep -i matrox
matroxfb: Matrox G450 detected
matroxfb: MTRR's turned on
matroxfb: 640x480x8bpp (virtual: 640x26214)
matroxfb: framebuffer at 0xE4000000, mapped to 0xf0a80000, size 33554432
fbcon: MATROX (fb0) is primary device
fb0: MATROX frame buffer device
Comment 1 Adam Jackson 2008-04-23 11:36:32 EDT
If you run system-config-display from gnome-terminal, you should see a traceback
when you click the "ok" button.  What does that traceback print?
Comment 2 Paul F. Almquist 2008-04-25 02:33:21 EDT
Here is the trackback info.  Lines starting with "Click OK ..." are my comments.
Click OK first time:
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 201, in ok
    if card.getDescription() ==
self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'


Click OK second time:
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 201, in ok
    if card.getDescription() ==
self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'

Click OK 4 more times:
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 156, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 156, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 156, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 156, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack

Click Cancel and program quits
Comment 3 Bug Zapper 2008-05-14 05:49:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Vlad Safronoff 2008-07-11 18:21:30 EDT
I have the same problem on my Thinkpad T43 (intel video) with attached LCD.

# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 201, in ok
    if card.getDescription() ==
self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 156, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 156, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack
Comment 5 Tethys 2008-07-21 06:57:53 EDT
Same problem here (Radeon X800 GTO):

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 152, in ok
    second_monitor = self.xconfig.monitor[1]
IndexError: index out-of-bounds

Depending on how you interact with s-c-d, the error could be this instead:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 201, in ok
    if card.getDescription() ==
self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Comment 6 Per Thomas Jahr 2008-09-25 08:11:18 EDT
Same error with the radeonhd driver. A workaround is to use xrandr directly to configure dual head - then it works for me at least. I will attach xorg.conf and xrand -q --verbose output as well.

# lspci | grep ATI
01:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon X1300/X1550 Series]
01:00.1 Display controller: ATI Technologies Inc RV516 [Radeon X1300 Pro] (Secondary)

# uname -a
Linux apollo2 2.6.25.14-108.fc9.i686 #1 SMP Mon Aug 4 14:08:11 EDT 2008 i686 i686 i386 GNU/Linux

$ system-config-display 
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 201, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Comment 7 Per Thomas Jahr 2008-09-25 08:12:09 EDT
Created attachment 317680 [details]
Output of xrandr -q --verbose
Comment 8 Per Thomas Jahr 2008-09-25 08:12:49 EDT
Created attachment 317681 [details]
xorg.conf
Comment 9 Nitin Gupta 2008-12-12 04:44:58 EST
Getting same problem in F10:

# s-c-d
Traceback (most recent call last):                        
  File "/usr/share/system-config-display/xConfigDialog.py", line 212, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'                                          


$ lspci -v | grep ATI
01:00.0 VGA compatible controller: ATI Technologies Inc Device 71d2 (prog-if 00 [VGA controller])
        Subsystem: ATI Technologies Inc Device 3b02
01:00.1 Display controller: ATI Technologies Inc Device 71f2
        Subsystem: ATI Technologies Inc Device 3b03

$ uname -a
Linux hostname 2.6.27.5-117.fc10.x86_64 #1 SMP Tue Nov 18 11:58:53 EST 2008 x86_64 x86_64 x86_64 GNU/Linux
Comment 10 Egon Kastelijn 2009-03-06 07:32:57 EST
Same problem here with an NVidia Geforce 9300M G on Fedora 10.
This problem seems to be the same as bug #238171.
Comment 11 Tim Scofield 2009-04-21 18:18:53 EDT
I'm having a similar issue.

/sbin/lspci | grep VGA | grep control
08:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7300 GT] (rev a1)

uname -a
Linux s892325.sandia.gov 2.6.27.21-78.2.41.fc9.x86_64 #1 SMP Mon Mar 23 23:22:15 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

uname -srv
Linux 2.6.27.21-78.2.41.fc9.x86_64 #1 SMP Mon Mar 23 23:22:15 EDT 2009

yum update
Loaded plugins: refresh-packagekit
Setting up Update Process
No Packages marked for Update

system-config-display --reconfig (Just turn on dual head - don't set monitor)
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 152, in ok
    second_monitor = self.xconfig.monitor[1]
IndexError: index out-of-bounds
(set the 2nd monitor type to Generic LCD 1920x1200)
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 201, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
(set the 1st monitor type to Generic LCD 1920x1200)
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 201, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Comment 12 Bug Zapper 2009-06-09 20:19:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Egon Kastelijn 2009-06-10 15:14:04 EDT
This problem still exists: 
system-config-display-1.1.1-1.fc10.noarch
Comment 14 Scott Baker 2009-06-16 14:51:48 EDT
(In reply to comment #13)
> This problem still exists: 
> system-config-display-1.1.1-1.fc10.noarch  

I'm still seeing this bug on Fedora 11

system-config-display-1.1.3-2.fc11.noarch

Traceback (most recent call last):                                                                                             
  File "/usr/share/system-config-display/xConfigDialog.py", line 212, in ok                                                    
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):                       
AttributeError: 'NoneType' object has no attribute 'get_data'                                                                  
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 212, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 167, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 167, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack
Window manager warning: Fatal IO error 11 (Resource temporarily unavailable) on display ':17.0'.
Comment 15 Bug Zapper 2009-07-14 13:37:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.